org.apache.tinkerpop.gremlin.util.function

## Class Lambda.ZeroArgLambda<A>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.ZeroArgLambda<A>

- All Implemented Interfaces:
    Serializable, Supplier<A>, Lambda
  Enclosing interface:
    Lambda

      public static class Lambda.ZeroArgLambda<A>
      extends Lambda.AbstractLambda
      implements Supplier<A>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZeroArgLambda(String lambdaSource, String lambdaLanguage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `get()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier`

- - ### Constructor Detail

    - #### ZeroArgLambda

          public ZeroArgLambda(String lambdaSource,
                               String lambdaLanguage)

  - ### Method Detail

    - #### get

          public A get()

      Specified by:
        `get` in interface `Supplier<A>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.